<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xisc.pm.infra.mapper.PmRequestPolicyVipMapper">
    <!-- 可根据自己的需求，是否要使用 -->
    <resultMap id="BaseResultMap" type="com.xisc.pm.domain.entity.PmRequestPolicyVip">
                    <result column="REQUEST_POLICY_VIP_CUST_ID" property="requestPolicyVipCustId" jdbcType="DECIMAL"/>
                    <result column="REQUEST_POLICY_ID" property="requestPolicyId" jdbcType="DECIMAL"/>
                    <result column="PRIORITY" property="priority" jdbcType="DECIMAL"/>
                    <result column="CUSTOMER_CODE" property="customerCode" jdbcType="VARCHAR"/>
                    <result column="TENANT_ID" property="tenantId" jdbcType="DECIMAL"/>
                    <result column="OBJECT_VERSION_NUMBER" property="objectVersionNumber" jdbcType="DECIMAL"/>
                    <result column="CREATION_DATE" property="creationDate" jdbcType="VARCHAR"/>
                    <result column="CREATED_BY" property="createdBy" jdbcType="DECIMAL"/>
                    <result column="LAST_UPDATED_BY" property="lastUpdatedBy" jdbcType="DECIMAL"/>
                    <result column="LAST_UPDATE_DATE" property="lastUpdateDate" jdbcType="VARCHAR"/>
                    <result column="ATTRIBUTE1" property="attribute1" jdbcType="VARCHAR"/>
                    <result column="ATTRIBUTE2" property="attribute2" jdbcType="VARCHAR"/>
                    <result column="ATTRIBUTE3" property="attribute3" jdbcType="VARCHAR"/>
                    <result column="ATTRIBUTE4" property="attribute4" jdbcType="VARCHAR"/>
                    <result column="ATTRIBUTE5" property="attribute5" jdbcType="VARCHAR"/>
            </resultMap>
</mapper>